KDE 4.9 PyKDE API Reference

- KDE's Python API

# EntityDisplayAttribute Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Attribute
Namespace: Akonadi

## Detailed Description

Attribute that stores the properties that are used to display an entity.

Display properties of a collection or item, such as translated names and icons.

Author:
  Volker Krause <vkrause@kde.org>

Since:
  4.2

## Methods

| __init__ (self)
KIcon | activeIcon (self)
QString | activeIconName (self)
QColor | backgroundColor (self)
Akonadi.EntityDisplayAttribute | clone (self)
| deserialize (self, QByteArray data)
QString | displayName (self)
KIcon | icon (self)
QString | iconName (self)
QByteArray | serialized (self)
| setActiveIconName (self, QString name)
| setBackgroundColor (self, QColor color)
| setDisplayName (self, QString name)
| setIconName (self, QString name)
QByteArray | type (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates a new entity display attribute.

KIcon activeIcon | ( |  | self ) |

Returns the icon that should be used for this collection or item when active.

Since:
  4.4

QString activeIconName | ( |  | self ) |

Returns the icon name of an active item.

Since:
  4.4

QColor backgroundColor | ( |  | self ) |

Returns the backgroundColor or an invalid color if none is set.

Since:
  4.4

Akonadi.EntityDisplayAttribute clone | ( |  | self ) |

deserialize | ( | self, |
|  | QByteArray | data
| ) |  |  |

QString displayName | ( |  | self ) |

Returns the name that should be used for display. Users of this should fall back to Collection.name() if this is empty.

KIcon icon | ( |  | self ) |

Returns the icon that should be used for this collection or item.

QString iconName | ( |  | self ) |

Returns the icon name of the icon returned by icon().

QByteArray serialized | ( |  | self ) |

setActiveIconName | ( | self, |
|  | QString | name
| ) |  |  |

Sets the icon name for the active icon.

Since:
  4.4

setBackgroundColor | ( | self, |
|  | QColor | color
| ) |  |  |

Sets the backgroundColor to color.

Since:
  4.4

setDisplayName | ( | self, |
|  | QString | name
| ) |  |  |

Sets the name that should be used for display.

setIconName | ( | self, |
|  | QString | name
| ) |  |  |

Sets the icon name for the default icon.

QByteArray type | ( |  | self ) |